#!/bin/sh

#  copy_diagnostics_to_desktop.sh
#  BibleReaderDiag
#
#  Created by David Trotz on 11/21/11.
#  Copyright 2011 Olive Tree Bible Software. All rights reserved.
echo $1
diag_list=""

if [ -e "${1}/Containers/com.olivetree.BibleReaderMac/Data/Documents/diagnostics.zip" ]
then
    diag_list="${1}/Containers/com.olivetree.BibleReaderMac/Data/Documents/diagnostics.zip"
fi

if [ "$(ls ${1}/Logs/DiagnosticReports/BibleReader*.crash)" ]
then
    diag_list="${diag_list} ${1}/Logs/DiagnosticReports/BibleReader*.crash"
fi

if [ "${#diag_list}" -gt 0 ]
then
    echo zipping $diag_list
    rm ~/Desktop/diagnostics.zip
    zip ~/Desktop/diagnostics.zip ${diag_list}
else
    echo "Nothing to zip"
fi

rm "${1}/Containers/com.olivetree.BibleReaderMac/Data/Documents/diagnostics.zip"